0

I'm running linux containers created by LXD on ubuntu 14.04.05 . I have a lxdbr0 interface setup , but its default MTU is 1500 , how do I update it ? I tried the following command, but it doesnt work.

sudo ifconfig lxdbr0 mtu 9000
SIOCSIFMTU: Invalid argument
1

The syntax of your command is correct. The error you're seeing indicates that the interface (hardware) isn't Gigabit or doesn't support JumboFrames.

Source: https://wiki.archlinux.org/index.php/jumbo_frames

-1

Check "sudo brctl show lxdbr0". If there are other interfaces which are part of this bridge then those interfaces MTUs need to be changed to this value.

Looks like MAX bridge MTU is minimum MAX of all underlying interfaces and will be allowed a change only when those allow it.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.